<?php

declare(strict_types=1);

namespace Dedi\SyliusCmsPlugin\Form\Type\UiElement;

use Dedi\SyliusCmsPlugin\Form\Type\UiElement\Base\TitleType;
use Symfony\Component\Form\Extension\Core\Type\CollectionType;
use Symfony\Component\Form\FormBuilderInterface;

class ThumbnailCollectionType extends AbstractUiElementType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('title', TitleType::class, [
                'required' => false,
                'label' => 'dedi_cms.ui_element.elements.title',
                'embedded' => true,
            ])
            ->add('collection', CollectionType::class, [
                'entry_type' => ThumbnailType::class,
                'button_add_label' => 'app.ui_element.list_collection.add',
                'allow_add' => true,
                'allow_delete' => true,
                'by_reference' => false,
                'delete_empty' => true,
                'label' => 'app.ui_element.list_collection.collection',
                'entry_options' => [
                    'embedded' => true,
                ],
            ])
        ;

        $builder->get('title')->remove('class')->remove('subtitle')->remove('subtitleHtmlTag')->remove('subtitleClass');
    }
}
